#ifndef CAGDIPROGRESS_H
#define CAGDIPROGRESS_H

class CAgdiProgress : public ISmartICE04Progress
{
protected:
    inline IUnknown* GetUnknown() { return(static_cast<ISmartICE04Progress*>(this)); }

public:
    // IUnknown
    IFACEMETHOD(QueryInterface) (REFIID riid, void** ppvObject);
    IFACEMETHOD_(ULONG, AddRef) ();
    IFACEMETHOD_(ULONG, Release)();

    // ISmartICE04Progress
    IFACEMETHOD(Start)();
    IFACEMETHOD(Stop)();
    IFACEMETHOD(SetProgress)(long lCompleted, long lTotal);
    IFACEMETHOD(get_Canceled)(VARIANT_BOOL* pblCanceled);

    CAgdiProgress(long lAlreadyDone, long lActualSize, pCBF pCbFunc);
    virtual ~CAgdiProgress();

private:
    ITaskbarList3*  m_pTaskbarList;
    long            m_lAlreadyDone;
    long            m_lActualSize;
    pCBF            m_pCbFunc;
};

#endif
