#ifndef CHEXMERGEFILE_H
#define CHEXMERGEFILE_H

class CHexMergeFile
{
public:
    static HRESULT Load(LPCWSTR filename, SAFEARRAY* psa);

private:
    FORCEINLINE static bool IsComment(const char* psz) { return(*psz == '#'); }

    static HRESULT cmdLoadFile(char* pName, SAFEARRAY* psa);
    static HRESULT cmdSetSingleByte(char* pParameter, SAFEARRAY* psa);

    static HRESULT AddBytes(SAFEARRAY* psa, const BYTE* pBlob, long lStartAddress, ULONG len);
};

#endif
