#ifndef CCURSOR_H
#define CCURSOR_H

class CCursor
{
public:
    explicit CCursor(LPCTSTR lpCursorName) : m_hCursorNew(reinterpret_cast<HCURSOR>(::LoadImage(nullptr, lpCursorName, IMAGE_CURSOR, 0, 0, LR_DEFAULTSIZE | LR_SHARED))) { m_hCursorOld = (m_hCursorNew) ? ::SetCursor(m_hCursorNew) : nullptr; }
    ~CCursor() { if(m_hCursorOld) ::SetCursor(m_hCursorOld); }

    void Refresh() { ::SetCursor(m_hCursorNew); }

private:
    HCURSOR m_hCursorNew;
    HCURSOR m_hCursorOld;
};

#endif
