#ifndef DPIAWARENESSHELPER_H
#define DPIAWARENESSHELPER_H

#ifndef WM_DPICHANGED
#define WM_DPICHANGED       0x02E0
#endif

#ifndef WM_DPICHANGED_BEFOREPARENT
#define WM_DPICHANGED_BEFOREPARENT      0x02E2
#endif

#ifndef WM_DPICHANGED_AFTERPARENT
#define WM_DPICHANGED_AFTERPARENT       0x02E3
#endif

#ifndef WM_GETDPISCALEDSIZE
#define WM_GETDPISCALEDSIZE             0x02E4
#endif

#ifndef USER_DEFAULT_SCREEN_DPI
#define USER_DEFAULT_SCREEN_DPI         96
#endif

namespace DpiAwarenessHelper
{
    bool InitializeDpiAwarenessHelper();

    typedef int (WINAPI * GETSYSTEMMETRICSFORDPI)(_In_ int nIndex, _In_ UINT dpi);
    extern GETSYSTEMMETRICSFORDPI GetSystemMetricsForDpi;

    typedef UINT (WINAPI * GETDPIFORSYSTEM)();
    extern GETDPIFORSYSTEM GetDpiForSystem;

    typedef UINT (WINAPI * GETDPIFORWINDOW)(_In_ HWND hwnd);
    extern GETDPIFORWINDOW GetDpiForWindow;
}

#endif
