#include "precomp.h"

CActCtx::CActCtx(UINT idResource)
    : m_Cookie(0)
{
    ACTCTX ctx = {};
    ctx.cbSize = sizeof(ctx);
    ctx.dwFlags = ACTCTX_FLAG_RESOURCE_NAME_VALID | ACTCTX_FLAG_HMODULE_VALID;
    ctx.lpResourceName = MAKEINTRESOURCE(idResource);
    ctx.hModule = g_hInst;

    if(INVALID_HANDLE_VALUE != (m_hctx = CreateActCtx(&ctx)))
        ActivateActCtx(m_hctx, &m_Cookie);
}

CActCtx::~CActCtx()
{
    if(m_hctx != INVALID_HANDLE_VALUE)
    {
        if(m_Cookie)
            DeactivateActCtx(0, m_Cookie);

        ReleaseActCtx(m_hctx);
    }
}
