#ifndef CSMARTICE04PROGRESSDUMMY_H
#define CSMARTICE04PROGRESSDUMMY_H

class CSmartICE04ProgressDummy : public ISmartICE04Progress, public IDispatch
{
public:
    // IUnknown
    IFACEMETHOD(QueryInterface) (REFIID riid, void** ppvObject);
    IFACEMETHOD_(ULONG, AddRef) ();
    IFACEMETHOD_(ULONG, Release)();

    // ISmartICE04Progress
    IFACEMETHOD(Start)();
    IFACEMETHOD(Stop)();
    IFACEMETHOD(SetProgress)(long lCompleted, long lTotal);
    IFACEMETHOD(get_Canceled)(VARIANT_BOOL* pblCanceled);

    // IDispatch
    IFACEMETHOD(GetTypeInfoCount)(UINT* pctinfo);
    IFACEMETHOD(GetTypeInfo)(UINT iTInfo, LCID lcid, ITypeInfo** ppTInfo);
    IFACEMETHOD(GetIDsOfNames)(REFIID riid, LPOLESTR* rgszNames, UINT cNames, LCID lcid, DISPID* rgDispId);
    IFACEMETHOD(Invoke)(DISPID dispIdMember, REFIID riid, LCID lcid, WORD wFlags, DISPPARAMS* pDispParams, VARIANT* pVarResult, EXCEPINFO* pExcepInfo, UINT* puArgErr);

    VOID SetDispatch(IDispatch* pDispatch);

    CSmartICE04ProgressDummy();
    virtual ~CSmartICE04ProgressDummy();

private:
    HRESULT GetProperty(LPWSTR pwszName, VARIANT* rgvarg);
    HRESULT GetProperty(LPWSTR pwszName, VARIANT_BOOL* pval);
    HRESULT InvokeMethod(LPWSTR pwszName, VARIANT* rgvarg = nullptr, UINT cArgs = 1, VARIANT* pVarResult = nullptr);

    IDispatch*  m_pDispatch;
};

#endif
