#ifndef PRECOMP_H
#define PRECOMP_H

#define _WIN32_WINNT    _WIN32_WINNT_WIN7
#define __STDC_WANT_LIB_EXT1__  1

#ifndef STRICT
#define STRICT
#endif

#undef NO_STRICT
#define WIN32_LEAN_AND_MEAN
#define RPC_NO_WINDOWS_H
#define NOMINMAX

#if defined(_MSC_VER) && (_MSC_VER <= 1600)
#pragma warning(disable: 4481)
#endif

#pragma warning(disable: 4514)
#pragma warning(disable: 4710)
#pragma warning(disable: 4711)
#pragma warning(push)
#pragma warning(disable: 4201)
#pragma warning(disable: 4548)
#pragma warning(disable: 4668)
#pragma warning(disable: 4820)
#pragma warning(disable: 4917)
#pragma warning(disable: 4995)
#pragma warning(disable: 6387)

#include <windows.h>
#include <tchar.h>
#include <utility>
#include <new>
#include <setupapi.h>
#include <dbt.h>
#include <shlobj.h>
#include <devguid.h>
#include <shlwapi.h>
#include <cassert>
#include <OleCtl.h>
#include <Uxtheme.h>
#include <cerrno>
#include <ShellAPI.h>
#include <propkey.h>
#include <propvarutil.h>
#include <clocale>
#include <strsafe.h>
#include <cstdint>
#include <algorithm>

extern "C" {
#include <hidsdi.h>     // From WinDDK
}

#include "BOM.H"
#include "COLLECT.H"
#include "ioCC1111.h"

#pragma warning(pop)

#include <SmartICE04.h>

#include "resource.h"
#include "messages.h"
#include "globals.h"
#include "misc.h"
#include "DllMain.h"
#include "RegisterDescriptions.h"
#include "CDeferWindowPos.h"
#include "CThreadLocale.h"
#include "CThreadDpiAwarenessContext.h"
#include "selfreg.h"
#include "CList.h"
#include "CActCtx.h"
#include "ComException.h"
#include "CDownloadSetup.h"
#include "CAgdiProgress.h"
#include "CClassFactory.h"
#include "CConnectionPoint.h"
#include "CEnumConnectionPoints.h"
#include "CEnumConnections.h"
#include "CEventSink.h"
#include "CSmartICE04DevicesEventsSink.h"
#include "CTargetSetup.h"
#include "CDeviceList.h"
#include "CSmartICE04EventsSink.h"
#include "CSmartICE04Progress.h"
#include "CSmartICE04ProgressDialog.h"
#include "CSmartICE04ProgressDummy.h"
#include "CSmartICE04Events.h"
#include "CDSmartICE04Events.h"
#include "CSmartICE04.h"
#include "CSmartICE04DevicesEvents.h"
#include "CDSmartICE04DevicesEvents.h"
#include "CSmartICE04Devices.h"
#include "CBinaryFile.h"
#include "CIntelHexFile.h"
#include "CHexMergeFile.h"
#include "CEnumVARIANT.h"

#endif
